import 'package:consoledoctor_common/src/auth/otp_level.dart';

class AuthenticationOutcome {
  final String username;
  final OTPLevel otpLevel;
  final bool isKiosk;
  final bool isBlacklisted;

  AuthenticationOutcome({required this.username, required this.otpLevel, required this.isKiosk, required this.isBlacklisted});

  factory AuthenticationOutcome.fromJson(Map<String, dynamic> json) {
    return AuthenticationOutcome(
      username: json['Username'],
      otpLevel: (json['OTPLevel']).toString().getOTPLevel(),
      isKiosk: json['Kiosk'],
      isBlacklisted: json['Blacklisted'],
    );
  }
}