enum OTPLevel {
  none,
  dev,
  manager,
  engineerManager,
  callCentre,
  logisticsManager
}

final Map<String, OTPLevel> _strToOTPLevelMap = {
  "NONE": OTPLevel.none,
  "DEV": OTPLevel.dev,
  "MANAGER": OTPLevel.manager,
  "ENGINEER_MANAGER": OTPLevel.engineerManager,
  "CALL_CENTRE": OTPLevel.callCentre,
  "LOGISTICS_MANAGER": OTPLevel.logisticsManager,
};

final Map<OTPLevel, String> _otpLevelToStrMap = {
  OTPLevel.none: "NONE",
  OTPLevel.dev: "DEV",
  OTPLevel.manager: "MANAGER",
  OTPLevel.engineerManager: "ENGINEER_MANAGER",
  OTPLevel.callCentre: "CALL_CENTRE",
  OTPLevel.logisticsManager: "LOGISTICS_MANAGER",
};

extension OTPLevelExtensions on OTPLevel {
  String getName() => _otpLevelToStrMap.containsKey(this) ? _otpLevelToStrMap[this]! : throw ArgumentError(["Unhandled OTPLevel: $this", "level"]);
}


extension OTPLevelStringExtensions on String {
  OTPLevel getOTPLevel() => _strToOTPLevelMap.containsKey(this) ? _strToOTPLevelMap[this]! : throw ArgumentError(["Unhandled OTPLevel: $this", "level"]);
}