class UpdateResponse {
  final bool success;
  final String message;
  final String? exceptionMessage;
  final String? innerExceptionMessage;

  UpdateResponse({required this.success, required this.message, this.exceptionMessage, this.innerExceptionMessage});

  const UpdateResponse.failure({this.message = 'Failed', this.exceptionMessage, this.innerExceptionMessage})
      : success = false;

  const UpdateResponse.success({this.message = 'Success'})
      : success = true, exceptionMessage = null, innerExceptionMessage = null;

  factory UpdateResponse.fromJson(Map<String, dynamic> json) {
    return UpdateResponse(
      success: json['Success'],
      message: json['Message'],
      exceptionMessage: json['ExceptionMessage'],
      innerExceptionMessage: json['InnerExceptionMessage'],
    );
  }
}